NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder Class Reference

Represents a NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder which can be used to detect free element edges or non-manifold edges. More...

Inheritance diagram for NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder:
NXOpen.Builder NXOpen.CAE.ModelCheck.ISelectionBuilder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  _EdgeDisplayStyle
 the display style of the edges detected
 
struct  EdgeDisplayStyle
 the display style of the edges detected More...
 

Public Types

enum  Scope { EntireModel, VisibleModel, SelectedModels }
 the Scope over which the Computation of free/non-manifold edges with be done More...
 

Public Member Functions

unsafe void DoCheck (out NXOpen.CAE.FEElemEdge[] freeEdges, out NXOpen.CAE.FEElemEdge[] nonManifoldEdges, out NXOpen.CAE.FEElement[] assoElems, out NXOpen.CAE.CaeGroup outputGroup)
 Finds free edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges is set, and non-manifold edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges is set, returns the associated elements and output group for free and/or non-manifold element edges. More...
 
unsafe void ExecuteCheck (out NXOpen.CAE.FEElemEdge[] freeEdges, out NXOpen.CAE.FEElemEdge[] nonManifoldEdges)
 Finds free edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges is set, and non-manifold edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges is set. More...
 
unsafe void HideInputMeshes (bool hideInputMeshes)
 Hides or unhides the input meshes More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CheckFreeEdges [get, set]
 Returns or sets the value indicating whether to check free edges or not More...
 
unsafe bool CheckNonManifoldEdges [get, set]
 Returns or sets the value indicating whether to check non-manifold edges or not More...
 
unsafe
NXOpen.CAE.ModelCheck.CheckScope 
CheckScopeOption [get, set]
 Returns or sets the check scope setting More...
 
unsafe
NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.Scope 
ComputationScope [get, set]
 Returns or sets the computation scope More...
 
unsafe
NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.EdgeDisplayStyle 
FreeEdgeDisplayStyle [get, set]
 Returns or sets the display style for free edges detected More...
 
unsafe
NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.EdgeDisplayStyle 
NonManifoldEdgeDisplayStyle [get, set]
 Returns or sets the displaying style for non-manifold edges detected More...
 
unsafe
NXOpen.SelectTaggedObjectList 
SelectionList [get]
 Returns the selected objects to be checked. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 
- Properties inherited from NXOpen.CAE.ModelCheck.ISelectionBuilder
NXOpen.CAE.ModelCheck.CheckScope CheckScopeOption [get, set]
 Returns or sets the check scope setting More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder which can be used to detect free element edges or non-manifold edges.

A free edge is any Element edge that is not shared by any other element face (on either 2D or 3D elements ) within the defined scope of the check. A non-manifold edge is any Element edge that is shared more than 2 element faces (on either 2D or 3D elements ) within the defined scope of the check.

The computation scope ElementEdgeCheckBuilder.ComputationScope will affect on the checking result. The free element edges or non-manifold edges found will be displayed using the display setting NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.EdgeDisplayStyle . You can execute checking through Builder.Commit or NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.ExecuteCheck . Commiting the builder performs checking and displays the free edges and non-manifold edges in graphic window.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateElementEdgeCheckBuilder

Created in NX8.5.0

Member Enumeration Documentation

the Scope over which the Computation of free/non-manifold edges with be done

Enumerator
EntireModel 

Takes all elements in the model into account while computing

VisibleModel 

Only takes visible elements into account while computing

SelectedModels 

Only takes selected elements into account while computing

Member Function Documentation

unsafe void NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.DoCheck ( out NXOpen.CAE.FEElemEdge[]  freeEdges,
out NXOpen.CAE.FEElemEdge[]  nonManifoldEdges,
out NXOpen.CAE.FEElement[]  assoElems,
out NXOpen.CAE.CaeGroup  outputGroup 
)
inline

Finds free edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges is set, and non-manifold edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges is set, returns the associated elements and output group for free and/or non-manifold element edges.

For the associated elements, if both checks are done at the same time, the elements associated to free edges are returned firstly in the list.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
freeEdgesfree element edges
nonManifoldEdgesnon-manifold element edges
assoElemsassociated elements for free and/or non-manifold element edges, if both checks are done at the same time, the elements associated to free edges are returned firstly in the list.
outputGroupoutput group for free and/or non-manifold element edges
unsafe void NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.ExecuteCheck ( out NXOpen.CAE.FEElemEdge[]  freeEdges,
out NXOpen.CAE.FEElemEdge[]  nonManifoldEdges 
)
inline

Finds free edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges is set, and non-manifold edges when CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges is set.

The method Builder.Commit will also do the same thing, but display the element edges instead of returning them.

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
freeEdgesfree element edges
nonManifoldEdgesnon-manifold element edges
unsafe void NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.HideInputMeshes ( bool  hideInputMeshes)
inline

Hides or unhides the input meshes

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
hideInputMeshes

Property Documentation

unsafe bool NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.CheckFreeEdges
getset

Returns or sets the value indicating whether to check free edges or not

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.CheckNonManifoldEdges
getset

Returns or sets the value indicating whether to check non-manifold edges or not

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.ModelCheck.CheckScope NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.CheckScopeOption
getset

Returns or sets the check scope setting

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.Scope NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.ComputationScope
getset

Returns or sets the computation scope

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.EdgeDisplayStyle NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.FreeEdgeDisplayStyle
getset

Returns or sets the display style for free edges detected

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.EdgeDisplayStyle NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.NonManifoldEdgeDisplayStyle
getset

Returns or sets the displaying style for non-manifold edges detected

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.ModelCheck.ElementEdgeCheckBuilder.SelectionList
get

Returns the selected objects to be checked.

The objects must be NXOpen.CAE.Mesh or NXOpen.CAE.FEElement

Created in NX8.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.